/*==================================================================================================
* Project : RTD AUTOSAR 4.4
* Platform : CORTEXM
* Peripheral : S32K3XX
* Dependencies : none
*
* Autosar Version : 4.4.0
* Autosar Revision : ASR_REL_4_4_REV_0000
* Autosar Conf.Variant :
* SW Version : 0.9.0
* Build Version : S32K3_RTD_0_9_0_P02_D2107_ASR_REL_4_4_REV_0000_20210716
*
* (c) Copyright 2020 - 2021 NXP Semiconductors
* All Rights Reserved.
*
* NXP Confidential. This software is owned or controlled by NXP and may only be
* used strictly in accordance with the applicable license terms. By expressly
* accepting such terms or by downloading, installing, activating and/or otherwise
* using the software, you are agreeing that you have read, and that you agree to
* comply with and are bound by, such license terms. If you do not agree to be
* bound by the applicable license terms, then you may not retain, install,
* activate or otherwise use the software.
==================================================================================================*/
#ifndef OSIF_DEVICE_REGISTERS_H
#define OSIF_DEVICE_REGISTERS_H

/*==================================================================================================
*                                          INCLUDE FILES
* 1) system and project includes
* 2) needed interfaces from external units
* 3) internal and external interfaces from this unit
==================================================================================================*/
#if defined(S32G2XX)
    #include "S32G274A_SYSTICK.h"
#elif defined(S32K3XX)
    #include "S32K344_SYSTICK.h"
#elif defined(S32R45)
    #include "S32R45_SYSTICK.h"
#elif defined(S32K116)
    #include "S32K116.h"
#elif defined(S32K118)
    #include "S32K118.h"
#elif defined(S32K142)
    #include "S32K142.h"
#elif defined(S32K142W)
    #include "S32K142W.h"
#elif defined(S32K144)
    #include "S32K144.h"
#elif defined(S32K144W)
    #include "S32K144W.h"
#elif defined(S32K146)
    #include "S32K146.h"
#elif defined(S32K148)
    #include "S32K148.h"
#else
    #error "Unknown platform!"
#endif

/*==================================================================================================
*                                 SOURCE FILE VERSION INFORMATION
==================================================================================================*/
#define OSIF_DEVICE_REGISTERS_VENDOR_ID                    43
#define OSIF_DEVICE_REGISTERS_AR_RELEASE_MAJOR_VERSION     4
#define OSIF_DEVICE_REGISTERS_AR_RELEASE_MINOR_VERSION     4
#define OSIF_DEVICE_REGISTERS_AR_RELEASE_REVISION_VERSION  0
#define OSIF_DEVICE_REGISTERS_SW_MAJOR_VERSION             0
#define OSIF_DEVICE_REGISTERS_SW_MINOR_VERSION             9
#define OSIF_DEVICE_REGISTERS_SW_PATCH_VERSION             0

/*==================================================================================================
*                                       FILE VERSION CHECKS
==================================================================================================*/

/*==================================================================================================
*                                            CONSTANTS
==================================================================================================*/

/*==================================================================================================
*                                       DEFINES AND MACROS
==================================================================================================*/

/*==================================================================================================
*                                              ENUMS
==================================================================================================*/

/*==================================================================================================
*                                  STRUCTURES AND OTHER TYPEDEFS
==================================================================================================*/

/*==================================================================================================
*                                  GLOBAL VARIABLE DECLARATIONS
==================================================================================================*/

/*==================================================================================================
*                                       FUNCTION PROTOTYPES
==================================================================================================*/

#endif /* OSIF_DEVICE_REGISTERS_H */
