#ifndef SIUL2_PORT_IP_CFG_H
#define SIUL2_PORT_IP_CFG_H

#include "S32K344_SIUL2.h"
#include "Siul2_Port_Ip_Types.h"

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/***********************************************************************************************************************
 * SOURCE FILE VERSION INFORMATION
 **********************************************************************************************************************/
#define SIUL2_PORT_IP_VENDOR_ID_CFG_H                       43
#define SIUL2_PORT_IP_AR_RELEASE_MAJOR_VERSION_CFG_H        4
#define SIUL2_PORT_IP_AR_RELEASE_MINOR_VERSION_CFG_H        4
#define SIUL2_PORT_IP_AR_RELEASE_REVISION_VERSION_CFG_H     0
#define SIUL2_PORT_IP_SW_MAJOR_VERSION_CFG_H                0
#define SIUL2_PORT_IP_SW_MINOR_VERSION_CFG_H                9
#define SIUL2_PORT_IP_SW_PATCH_VERSION_CFG_H                0

/*!
 * @addtogroup Siul2_Port_Ip_Cfg
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

/*! @brief Definitions for BOARD_InitPins Functional Group */

#define SIUL2_MSCR_SSS_MASK                      (0x7U)
#define SIUL2_MSCR_SSS_SHIFT                     (0U)
#define SIUL2_MSCR_SSS_WIDTH                     (3U)
#define SIUL2_MSCR_SSS(x)                        (((uint32)(((uint32)(x)) << SIUL2_MSCR_SSS_SHIFT)) & SIUL2_MSCR_SSS_MASK)

#define SIUL2_MSCR_SRE_MASK                      (0x4000U)
#define SIUL2_MSCR_SRE_SHIFT                     (14U)
#define SIUL2_MSCR_SRE_WIDTH                     (1U)
#define SIUL2_MSCR_SRE(x)                        (((uint32)(((uint32)(x)) << SIUL2_MSCR_SRE_SHIFT)) & SIUL2_MSCR_SRE_MASK)

#define DEV_ASSERT(par)
/*! @brief User number of configured pins */
#define NUM_OF_CONFIGURED_PINS0 3
/*! @brief User configuration structure */
extern Siul2_Port_Ip_PinSettingsConfig g_pin_mux_InitConfigArr0[NUM_OF_CONFIGURED_PINS0];


/*! @brief Defines for user pin and port configurations */
#define RGBLED0_BLUE_PIN        15u
#define RGBLED0_BLUE_PORT       PTA_H_HALF
#define LPUART13_RX_PIN         11u
#define LPUART13_RX_PORT        PTC_H_HALF
#define LPUART13_TX_PIN         10u
#define LPUART13_TX_PORT        PTC_H_HALF

#ifdef __cplusplus
}
#endif

/*!
 * @}
 */
#endif /* _SIUL2_PORT_IP_CFG_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/

